fop 1.1

## org.apache.fop.fonts
Class FontManagerConfigurator

    java.lang.Object
      org.apache.fop.fonts.FontManagerConfigurator

    public class FontManagerConfigurator

extends java.lang.Object

Configurator of the FontManager

Constructor Summary
`FontManagerConfigurator(org.apache.avalon.framework.configuration.Configuration cfg)` Main constructor
`FontManagerConfigurator(org.apache.avalon.framework.configuration.Configuration cfg, java.net.URI baseURI)` Main constructor

Method Summary
`void` `configure(FontManager fontManager, boolean strict)` Initializes font settings from the user configuration
`static FontTriplet.Matcher` `createFontsMatcher(org.apache.avalon.framework.configuration.Configuration cfg, boolean strict)` Creates a font triplet matcher from a configuration object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontManagerConfigurator

    public FontManagerConfigurator(org.apache.avalon.framework.configuration.Configuration cfg)

  Main constructor

  Parameters:
    `cfg` - the font manager configuration object

### FontManagerConfigurator

    public FontManagerConfigurator(org.apache.avalon.framework.configuration.Configuration cfg,
                                   java.net.URI baseURI)

  Main constructor

  Parameters:
    `cfg` - the font manager configuration object
    `baseURI` - the base URI of the configuration

Method Detail

### configure

    public void configure(FontManager fontManager,
                          boolean strict)
                   throws FOPException

  Initializes font settings from the user configuration

  Parameters:
    `fontManager` - a font manager
    `strict` - true if strict checking of the configuration is enabled
  Throws:
    `FOPException` - if an exception occurs while processing the configuration

### createFontsMatcher

    public static FontTriplet.Matcher createFontsMatcher(org.apache.avalon.framework.configuration.Configuration cfg,
                                                         boolean strict)
                                                  throws FOPException

  Creates a font triplet matcher from a configuration object.

  Parameters:
    `cfg` - the configuration object
    `strict` - true for strict configuraton error handling
  Returns:
    the font matcher
  Throws:
    `FOPException` - if an error occurs while building the matcher

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.